# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=libcap
pkgver=2.64
pkgrel=2
pkgdesc="POSIX 1003.1e capabilities"
arch=('x86_64')
url="https://sites.google.com/site/fullycapable/"
license=('GPL2')
groups=('base')
depends=('glibc')
makedepends=('attr' 'bash' 'binutils' 'coreutils' 'gcc' 'perl' 'make' 'sed')
source=(https://www.kernel.org/pub/linux/libs/security/linux-privs/libcap2/${pkgname}-${pkgver}.tar.xz)
sha256sums=(c8465e1f0b068d5fc06199231135ccac7adb56d662b1de93589252e8cd071e13)

prepare() {
    cd ${pkgname}-${pkgver}

    sed -i '/install -m.*STA/d' libcap/Makefile
}

build() {
    cd ${pkgname}-${pkgver}

    make prefix=/usr lib=lib64
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} prefix=/usr lib=lib64 install
}
